org.hibernate.search.elasticsearch.util.impl

## Class FieldHelper

- java.lang.Object
- - org.hibernate.search.elasticsearch.util.impl.FieldHelper

-     public class FieldHelper
      extends Object

  Helps with getting the property types for given fields.

  Very hack-ish solution which is required atm. as we don't have access to the actual property types when dealing with document fields in the work visitor. All this code should not be needed ideally.

  Author:
    Gunnar Morling

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `FieldHelper.ExtendedFieldType`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static String` | `getEmbeddedFieldPath(String field)`
    `static String` | `getEmbeddedFieldPropertyName(String field)`
    `static String[]` | `getFieldNameParts(String fieldName)`
    `static FieldHelper.ExtendedFieldType` | `getType(BridgeDefinedField field)`
    `static FieldHelper.ExtendedFieldType` | `getType(Class<?> propertyClass)`
    `static FieldHelper.ExtendedFieldType` | `getType(PartialDocumentFieldMetadata fieldMetadata)`
    `static boolean` | `isEmbeddedField(String field)`
    `static boolean` | `isSortableField(TypeMetadata sourceType, PropertyMetadata sourceProperty, String fieldName)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getType

          public static FieldHelper.ExtendedFieldType getType(PartialDocumentFieldMetadata fieldMetadata)

    - #### getType

          public static FieldHelper.ExtendedFieldType getType(Class<?> propertyClass)

    - #### getType

          public static FieldHelper.ExtendedFieldType getType(BridgeDefinedField field)

    - #### getFieldNameParts

          public static String[] getFieldNameParts(String fieldName)

    - #### isSortableField

          public static boolean isSortableField(TypeMetadata sourceType,
                                                PropertyMetadata sourceProperty,
                                                String fieldName)

    - #### isEmbeddedField

          public static boolean isEmbeddedField(String field)

    - #### getEmbeddedFieldPath

          public static String getEmbeddedFieldPath(String field)

    - #### getEmbeddedFieldPropertyName

          public static String getEmbeddedFieldPropertyName(String field)

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved